- Cal3D 0.11 API Reference -

Public Member Functions | Protected Attributes | List of all members
CalStreamSource Class Reference

CalStreamSource class. More...

`#include <streamsource.h>`

Inheritance diagram for CalStreamSource:

## Public Member Functions

| CalStreamSource (std::istream &inputStream)
| Constructs a stream source instance from an existing istream.
virtual | ~CalStreamSource ()
| Destruct the CalStreamSource.
virtual bool | ok () const
| Checks whether the data source is in a good state.
virtual void | setError () const
| Sets the error code and message related to a streaming source.
virtual bool | readBytes (void *pBuffer, int length)
| Reads a number of bytes.
virtual bool | readFloat (float &value)
| Reads a float.
virtual bool | readInteger (int &value)
| Reads an integer.
virtual bool | readString (std::string &strValue)
| Reads a string.

## Protected Attributes

std::istream * | mInputStream

## Detailed Description

CalStreamSource class.

This is an object designed to represent a source of Cal3d data as coming from a standard input stream.

## Constructor & Destructor Documentation

## ◆ CalStreamSource()

CalStreamSource::CalStreamSource | ( | std::istream & | inputStream | ) |

Constructs a stream source instance from an existing istream.

This function is the only constructor of the stream source.

Parameters

  inputStream | The input stream to use, which should be set up and ready to be read from before making the stream source.

## ◆ ~CalStreamSource()

CalStreamSource::~CalStreamSource | ( |  | ) |

virtual

Destruct the CalStreamSource.

Note that input stream is not closed here; this should be handled externally.

## Member Function Documentation

## ◆ ok()

bool CalStreamSource::ok | ( |  | ) | const

virtual

Checks whether the data source is in a good state.

This function checks if the istream can be used.

Returns
  One of the following values:
  - true if data source is in a good state
  - false if not

Implements CalDataSource.

## ◆ readBytes()

bool CalStreamSource::readBytes | ( | void * | pBuffer,
|  | int | length )

virtual

Reads a number of bytes.

This function reads a given number of bytes from this data source.

Parameters

  pBuffer | A pointer to the buffer where the bytes are stored into.
  length | The number of bytes that should be read.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

Implements CalDataSource.

## ◆ readFloat()

bool CalStreamSource::readFloat | ( | float & | value | ) |

virtual

Reads a float.

This function reads a float from this data source.

Parameters

  value | A reference to the float into which the data is read.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

Implements CalDataSource.

## ◆ readInteger()

bool CalStreamSource::readInteger | ( | int & | value | ) |

virtual

Reads an integer.

This function reads an integer from this data source.

Parameters

  value | A reference to the integer into which the data is read.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

Implements CalDataSource.

## ◆ readString()

bool CalStreamSource::readString | ( | std::string & | strValue | ) |

virtual

Reads a string.

This function reads a string from this data source.

Parameters

  value | A reference to the string into which the data is read.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

Implements CalDataSource.

## ◆ setError()

void CalStreamSource::setError | ( |  | ) | const

virtual

Sets the error code and message related to a streaming source.

Implements CalDataSource.

The documentation for this class was generated from the following files:

- streamsource.h
- streamsource.cpp

Generated by The Cal3D Team with Doxygen 1.15.0